Bug 228585 - databases/rubygem-mysql2: Update to 0.5.1
Summary: databases/rubygem-mysql2: Update to 0.5.1
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ruby mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-29 10:00 UTC by Dani
Modified: 2018-05-31 16:06 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments
Update to 0.5.1 (653 bytes, patch)
2018-05-29 10:00 UTC, Dani
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-05-31 16:06:01 UTC
Thanks for your submission.

The port is used by databases/rubygem-peek-mysql2 and www/redmine where redmine depends on Rails 4.
According to changes of mysql2 0.5.0, it has breaking changes and upstream asked Rails 4 users to pin mysql2 ~> 0.4.0.
Therefore, I would postpone this update unless it's needed by other ports.